This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 984846 - Review Request: jipijapa - Improve application platform integration with JPA persistence providers
Review Request: jipijapa - Improve application platform integration with JPA ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 842238
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 03:42 EDT by gil cattaneo
Modified: 2013-07-30 15:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 15:04:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-07-16 03:42:39 EDT
Spec URL: http://gil.fedorapeople.org/jipijapa.spec
SRPM URL: http://gil.fedorapeople.org/jipijapa-1.0.0-0.2.Alpha3.fc19.src.rpm
Description: 
The #1 goal of the Jipijapa project is to
improve application platform integration
with JPA persistence providers.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-07-16 12:29:13 EDT
license text(s) is not available, queried upstream to include it
https://issues.jboss.org/browse/JIPI-14
Comment 2 Marek Goldmann 2013-07-24 09:21:20 EDT
I'll take this for a review, tomorrow.
Comment 3 Marek Goldmann 2013-07-30 08:52:56 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jipijapa-
     javadoc
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "LGPL (v2.1 or later)", "Unknown or generated". 5 files
     have unknown license. Detailed output of licensecheck in
     /home/goldmann/work/review/984846-jipijapa/licensecheck.txt

License tag should be "ASL 2.0 and LGPLv2+"

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jipijapa-1.0.0-0.2.Alpha3.fc20.noarch.rpm
          jipijapa-javadoc-1.0.0-0.2.Alpha3.fc20.noarch.rpm
jipijapa.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jipijapa-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jipijapa jipijapa-javadoc
jipijapa.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jipijapa-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
jipijapa (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
    mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec)
    mvn(org.jboss:jandex)
    mvn(org.jboss:jboss-vfs)

jipijapa-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jipijapa:
    jipijapa
    mvn(org.jipijapa:jipijapa-eclipselink)
    mvn(org.jipijapa:jipijapa-hibernate3)
    mvn(org.jipijapa:jipijapa-hibernate4-1)
    mvn(org.jipijapa:jipijapa-openjpa)
    mvn(org.jipijapa:jipijapa-parent)
    mvn(org.jipijapa:jipijapa-spi)

jipijapa-javadoc:
    jipijapa-javadoc



Source checksums
----------------
https://github.com/jipijapa/jipijapa/archive/1.0.0.Alpha3.tar.gz :
  CHECKSUM(SHA256) this package     : 001c1c3af3f02d7399505bff7f795db909965b6596ff05145c5e5bf14f3f775e
  CHECKSUM(SHA256) upstream package : 001c1c3af3f02d7399505bff7f795db909965b6596ff05145c5e5bf14f3f775e
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 984846 -m fedora-rawhide-i386





Issues:


[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "LGPL (v2.1 or later)", "Unknown or generated". 5 files
     have unknown license. Detailed output of licensecheck in
     /home/goldmann/work/review/984846-jipijapa/licensecheck.txt

License tag should be "ASL 2.0 and LGPLv2+"



================
*** APPROVED ***
================

Please fix the license tag at import.
Comment 4 gil cattaneo 2013-07-30 13:46:59 EDT
Thanks!

Spec URL: http://gil.fedorapeople.org/jipijapa.spec
SRPM URL: http://gil.fedorapeople.org/jipijapa-1.0.0-0.2.Alpha3.fc19.src.rpm

- fix License tag

New Package SCM Request
=======================
Package Name: jipijapa
Short Description: Improve application platform integration with JPA persistence providers
Owners: gil
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2013-07-30 14:22:31 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.